/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package application.graphics.bottom;

import application.graphics.center.Panel;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;
import javafx.geometry.HPos;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.ColumnConstraints;
import javafx.scene.layout.GridPane;

/**
 *
 * @author sci-esame
 */
public class InfoArea extends GridPane {

    TextField points = new TextField("30");
    TextField total = new TextField("0");

    /**
     * Area inferiore con le informazioni sul punteggio e totale
     */
    public InfoArea() {
        this.setPadding(new Insets(5));
        this.setAlignment(Pos.CENTER);
        columns();
        setupTexts();
    }

    private void columns() {
        ColumnConstraints cc = new ColumnConstraints();
        ColumnConstraints cc1 = new ColumnConstraints();

        cc.setPercentWidth(50);
        cc1.setPercentWidth(50);

        cc.setHalignment(HPos.CENTER);
        cc1.setHalignment(HPos.CENTER);

        this.getColumnConstraints().addAll(cc, cc1);
    }

    private void setupTexts() {
        points.setEditable(false);
        total.setEditable(false);

        points.setMaxWidth(70);
        total.setMaxWidth(70);

        Panel.total.addListener(new ChangeListener<Number>() {

            @Override
            public void changed(ObservableValue<? extends Number> observable, Number oldValue, Number newValue) {
                total.setText(newValue.toString());
            }
        });
        Panel.points.addListener(new ChangeListener<Number>() {

            @Override
            public void changed(ObservableValue<? extends Number> observable, Number oldValue, Number newValue) {
                points.setText(newValue.toString());
            }
        });

        Label pointslabel = new Label("PUNTEGGIO");
        Label totalLabel = new Label("TOTALE");

        this.add(total, 0, 1);
        this.add(points, 1, 1);

        this.add(pointslabel, 1, 0);
        this.add(totalLabel, 0, 0);
    }

}
