/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package application.graphics.controls;

import application.graphics.center.Dado;
import application.graphics.center.Panel;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.text.Text;
import javafx.stage.Stage;

/**
 *
 * @author sci-esame
 */
public class LoggerWindow extends Stage {

    Scene scn;

    /**
     * Finestra di informazioni sulla partita
     */
    public LoggerWindow() {
        setupScene();
        this.setTitle("Stato partita");
        this.show();
    }

    private void setupScene() {
        BorderPane root = new BorderPane();

        ListView<String> list = new ListView<>();

        ObservableList<String> contenuto = FXCollections.observableArrayList();

        for (Dado d : Panel.dadi) {
            contenuto.add(d.toString());
        }

        list.setItems(contenuto);
        list.setEditable(false);
        root.setCenter(list);

        GridPane labels = new GridPane();
        labels.setPadding(new Insets(10));
        labels.setAlignment(Pos.CENTER);

        Label punti = new Label("Punteggio");
        Label totale = new Label("Totale");

        Text puntiText = new Text(String.valueOf(Panel.points.get()));
        Text totalText = new Text(String.valueOf(Panel.total.get()));

        labels.add(punti, 0, 0);
        labels.add(totale, 1, 0);
        labels.add(puntiText, 0, 1);
        labels.add(totalText, 1, 1);

        root.setBottom(labels);

        scn = new Scene(root);
        this.setScene(scn);
    }

}
